# Uses of Interface
org.eclipse.emf.cdo.server.db.mapping.ITypeMapping.Descriptor

Packages that use ITypeMapping.Descriptor
Package
Description
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of ITypeMapping.Descriptor in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping that return ITypeMapping.Descriptor
Modifier and Type
Method
Description
`final ITypeMapping.Descriptor`
AbstractTypeMappingFactory.`getDescriptor()`
`ITypeMapping.Descriptor`
ITypeMapping.Factory.`getDescriptor()`
Return the descriptor of the kind of type mapping created by this factory.
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type ITypeMapping.Descriptor
Modifier and Type
Method
Description
`void`
ITypeMapping.Registry.`registerTypeMapping(ITypeMapping.Descriptor descriptor)`
Register a type mapping by descriptor.
Constructors in org.eclipse.emf.cdo.server.db.mapping with parameters of type ITypeMapping.Descriptor
Modifier
Constructor
Description
``
`AbstractTypeMappingFactory(ITypeMapping.Descriptor descriptor)`